Package net.snowflake.client.jdbc

## Interface SnowflakeFixedView

All Known Implementing Classes:
  `SFBaseFileTransferAgent`, `SnowflakeFileTransferAgent`

    public interface SnowflakeFixedView

An interface to use for returning query results from any java class

Author:
  jhuang

### Method Summary

All Methods Instance Methods Abstract Methods
`List<SnowflakeColumnMetadata>` `describeColumns​(SFBaseSession session)`
`List<Object>` `getNextRow()`
`int` `getTotalRows()`

### Method Detail

#### describeColumns

    List<SnowflakeColumnMetadata> describeColumns​(SFBaseSession session)
                                           throws Exception

Throws:
  `Exception`

#### getNextRow

    List<Object> getNextRow()
                     throws Exception

Throws:
  `Exception`

#### getTotalRows

    int getTotalRows()